let portName = "COM17";
let dataSerial = 100;
let serial;

function setup() {

  // make an instance of the SerialPort object
  serial = new p5.SerialPort();

  // Get a list the ports available
  // You should have a callback defined to see the results. See gotList, below:
  serial.list();

  // Assuming our Arduino is connected,  open the connection to it
  serial.open(portName);

  // When you get a list of serial ports that are available
  serial.on('list', gotList);

  // When you some data from the serial port
  serial.on('data', gotData);
}

// Got the list of ports
function gotList(thelist) {
  print("List of Serial Ports:");
  // theList is an array of their names
  for (let i = 0; i < thelist.length; i++) {
    // Display in the console
    print(i + " " + thelist[i]);
  }
}

// Called when there is data available from the serial port
function gotData() {
  let currentString = serial.readLine();  // read the incoming data
  trim(currentString);                    // trim off trailing whitespace
  if (!currentString) return;             // if the incoming string is empty, do no more
  console.log(currentString);
  if (!isNaN(currentString)) {  // make sure the string is a number (i.e. NOT Not a Number (NaN))
    dataSerial = currentString;   // save the currentString to use for the text position in draw()
  }
}
	
var text = document.getElementById("value");		// change the text
setInterval(function() {
  value.innerHTML=dataSerial;								// change the text "value" to display dataSerial
  value.setAttribute("y", +310 - +dataSerial/3.5);			// change the position y of the text 
}, 100);

var circle = document.querySelector("#yellow");		
setInterval(function() {
yellow.setAttribute("cy", +305 - +dataSerial/3.5);		// change the position of the circle of id="yellow"
/*yellow.style.fill=testNum(dataSerial);*/				// change the color, calling the function testNum()
}, 10);
